Bug 1158406 - Use consumer.delay and consumer.initialDelay instead of the internal timer in the SQL binding
Summary: Use consumer.delay and consumer.initialDelay instead of the internal timer in...
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Configuration, SwitchYard
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR4
: ---
Assignee: Julian Coleman
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-29 10:17 UTC by Tomas Rohovsky
Modified: 2016-01-04 07:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker SWITCHYARD-2433 Major Resolved Use consumer.delay and consumer.initialDelay instead of the internal timer in the SQL binding 2014-12-10 18:28:07 UTC

Description Tomas Rohovsky 2014-10-29 10:17:40 UTC
Camel came with consumer.delay and consumer.initialDelay in the version 2.11 [1]. It would be better to use the built-in timer provided by the SQL component instead of the separate timer component [2].

The tooling will possibly require changes. Period/consumer.delay should be optional, so the tooling should not require it.

timerName is useless in the configuration, so it should be removed. [3]

[1] http://camel.apache.org/sql-component.html
[2] https://github.com/jboss-switchyard/components/blob/master/camel/camel-sql/src/main/java/org/switchyard/component/camel/sql/model/v1/V1CamelSqlBindingModel.java#L134
[3] https://github.com/jboss-switchyard/components/blob/master/camel/camel-sql/src/main/resources/org/switchyard/component/camel/sql/model/v2/camel-sql_2_0.xsd#L34

Comment 1 JBoss JIRA Server 2014-12-10 18:27:23 UTC
Rob Cernich <rcernich@redhat.com> updated the status of jira SWITCHYARD-2433 to Closed

Comment 2 JBoss JIRA Server 2014-12-10 18:27:55 UTC
Rob Cernich <rcernich@redhat.com> updated the status of jira SWITCHYARD-2433 to Reopened

Comment 3 JBoss JIRA Server 2014-12-10 18:28:07 UTC
Rob Cernich <rcernich@redhat.com> updated the status of jira SWITCHYARD-2433 to Resolved


Note You need to log in before you can comment on or make changes to this bug.